{
  "category": "Shinnex",
  "name": "Gutscheincodes für Bestellung",
  "globalInputs": [],
  "tasks": [
    {
      "name": "Gutscheincodes erstellen",
      "onFinish": "next",
      "undoPossible": false,
      "repeatPossible": true,
      "scriptPath": "script.py",
      "parameters": [
        {
          "parameterName": "orderId",
          "type": "text",
          "displayName": "Bestellnummer"
        },
        {
          "parameterName": "customerEmail",
          "type": "text",
          "displayName": "E-Mail vom Kunden"
        },
        {
          "parameterName": "customerName",
          "type": "text",
          "displayName": "Vorname vom Kunden"
        },
        {
          "parameterName": "productUrl",
          "type": "text",
          "displayName": "URL vom Produkt (Shopify) (z. B. https://shinnex.de/products/gizmo) (für Direktweiterleitung 5 € Gutschein QR-Code)"
        },
        {
          "parameterName": "discountCode",
          "type": "text",
          "displayName": "10 % Gutscheincode für den Kunden (in Shopify erstellen)"
        }
      ]
    }
  ]
}